## libchado-perl 1.22

=== debian/changelog ===
libchado-perl (1.22-3) unstable; urgency=low

  * debian/patches/remove_pl_extension.patch:
    - add patch to use libdbix-dbstag-perl binary without extension 

 -- Olivier Sallou <osallou@debian.org>  Mon, 19 Mar 2012 09:26:00 +0100

libchado-perl (1.22-2) unstable; urgency=low

  [Olivier Sallou]
  * Fix perl Depends not set by perl:Depends (Closes: #659295) 
  * debian/postrm: in case of purge, remove generated files
  [Charles Plessy]
  * Corrected Vcs fields (debian/control).

 -- Olivier Sallou <olivier.sallou@irisa.fr>  Wed, 22 Feb 2012 16:22:19 +0100

libchado-perl (1.22-1) unstable; urgency=low

  * Initial Release (Closes: #639868).

 -- Olivier Sallou <olivier.sallou@irisa.fr>  Thu, 14 Jul 2011 12:44:56 +0200
