=== debian/rules ===
#!/usr/bin/make -f

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

#export GMOD_ROOT=/usr/share/gmod/chado
export GMOD_ROOT=$(CURDIR)/debian/$(pkg)/usr/share/gmod/chado
export CHAOS_HOME=$(CURDIR)/debian/$(pkg)/usr/share/gmod/chaos
export CHADO_DB_NAME=gmod-chado
export PREFIX=/usr

%:
	dh $@ --buildsystem=perl_makemaker

override_dh_auto_configure:
	perl Makefile.PL INSTALL_BASE=/usr  DBNAME=$(CHADO_DB_NAME) DBUSER=chado DBPASS=chado DBHOST=localhost DBPORT=5432 GMOD_ROOT=$(GMOD_ROOT) DBDRIVER=PostgreSQL RECONFIGURE=1 SIMPLE=Y LOCAL_TMP=$(CURDIR)/debian/$(pkg)/tmp

override_dh_install:
	dh_install -O--buildsystem=perl_makemaker
	sed -i 's/SQLFILE=\/.*\/$(pkg)/SQLFILE=/' debian/$(pkg)/usr/share/gmod/chado/conf/gmod-chado.conf
	sed -i 's/TMP=\/.*\/tmp/CONF=\/tmp/' debian/$(pkg)/usr/share/gmod/chado/conf/gmod.conf
	sed -i 's/CONF=.*\/conf/CONF=\/etc\/gmod/' debian/$(pkg)/usr/share/gmod/chado/conf/gmod.conf
	mv $(GMOD_ROOT)/conf/* debian/$(pkg)/etc/gmod/
	# Give exexution rights to perl scripts
	find debian/$(pkg)/ -name *.pl		| xargs chmod 755
	find debian/$(pkg)/ -name *.tmpl	| xargs chmod 644 
	find debian/$(pkg)/ -name *.pm		| xargs chmod 644
	find debian/$(pkg)/ -name *.pod		| xargs rm -f
	find debian/$(pkg)/ -name .packlist 	| xargs rm -f
	find debian/$(pkg)/ -name "*.sql"	| xargs chmod a-x
	chmod 755 debian/$(pkg)/usr/share/gmod/chado/soi/t/t_soi_parse_intersect
	chmod 755 debian/$(pkg)/usr/share/gmod/chado/src/chado/modules/audit/make_audit_ddl
	mv debian/tmp/usr/bin/test* debian/$(pkg)/usr/share/gmod/chado/bin/
	mv debian/tmp/usr/bin/gmod_chado* debian/$(pkg)/usr/share/gmod/chado/bin/
	mv debian/tmp/usr/bin/config* debian/$(pkg)/usr/share/gmod/chado/bin/
	mv debian/tmp/usr/bin/Auto* debian/$(pkg)/usr/share/gmod/chado/bin/
	mv debian/tmp/usr/bin/* debian/chado-utils/usr/share/gmod/chado/bin/
	mv debian/tmp/usr/lib/perl5/* debian/$(pkg)/usr/share/perl5/
	rm -rf debian/$(pkg)/usr/lib/perl5
	mv debian/tmp/usr/man/man3 debian/$(pkg)/usr/share/man/man3
	mv debian/tmp/usr/man/man1 debian/chado-utils/usr/share/man/man1
	cp debian/testdb.pl debian/$(pkg)/usr/share/gmod/chado/bin/
	rm -rf debian/$(pkg)/usr/share/perl5/x86_64-linux-gnu-thread-multi
	# Needed for runtime configure
	rm -rf debian/$(pkg)/usr/share/gmod/chado/lib
	rm -rf debian/$(pkg)/usr/bin
	rm -rf debian/$(pkg)/usr/lib
	rm -rf debian/$(pkg)/usr/share/gmod/chado/load/logs
	rm -rf debian/$(pkg)/usr/share/gmod/chado/tmp
	# Remove not required man pages for user (also contains pod2man errors and missing what-is)
	rm -rf debian/$(pkg)/usr/share/man

override_dh_auto_test:
	echo "Skipping tests to avoid db access"
