## libchado-perl 1.23

=== debian/changelog ===
libchado-perl (1.23-1) unstable; urgency=low

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Thu, 03 Jan 2013 11:24:54 +0100

libchado-perl (1.22-4) unstable; urgency=low

  * debian/rules: fix permissions on gmod-chado file
    and remove unneeded file load.conf (Closes: #689111).
  * debian/postinst: fix permissions on pgpass file
    (Closes: #689111). 

 -- Olivier Sallou <osallou@debian.org>  Tue, 09 Oct 2012 14:27:37 +0200
