=== debian/control ===
Source: libchado-perl
Section: perl
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Scott Cain <scain@cpan.org>, Steffen Moeller <moeller@debian.org>, Olivier Sallou <osallou@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl, libclass-dbi-pg-perl, libxml-libxslt-perl, liblog-log4perl-perl,
 bioperl, libgo-perl, libdbd-pg-perl, libdbi-perl, libgd-gd2-perl,libdigest-md5-file-perl, libgraph-perl, libdata-stag-perl,
 libxml-perl, libmodule-build-perl, libclass-dbi-perl, libclass-dbi-pager-perl, libxml-simple-perl,
 libwww-perl, libtemplate-perl, libcgi-session-perl, libsql-translator-perl, libdbix-dbstag-perl
Standards-Version: 3.9.3
Homepage: http://gmod.org/wiki/Chado
Vcs-Browser: http://svn.debian.org/viewvc/debian-med/trunk/packages/gmod/chado/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/gmod/chado/trunk/

Package: libchado-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, postgresql-client, libbio-chado-schema-perl,
 libclass-dbi-pg-perl, libxml-libxslt-perl, liblog-log4perl-perl,
 bioperl, libgo-perl, libdbd-pg-perl, libdbi-perl, libgd-gd2-perl,
 libdigest-md5-file-perl, libgraph-perl, libdata-stag-perl,
 libxml-perl, libmodule-build-perl, libclass-dbi-perl, libclass-dbi-pager-perl,
 libxml-simple-perl,libwww-perl, libtemplate-perl, libcgi-session-perl,
 libsql-translator-perl, libdbix-dbstag-perl, make
Recommends: xsltproc, chado-utils
Description: database schema and tools for genomic data
 Chado is a relational database schema that underlies many GMOD
 installations. It is capable of representing many of the general
 classes of data frequently encountered in modern biology such as
 sequence, sequence comparisons, phenotypes, genotypes, ontologies,
 publications, and phylogeny. It has been designed to handle complex
 representations of biological knowledge and should be considered one
 of the most sophisticated relational schemas currently available in
 molecular biology. The price of this capability is that the new user
 must spend some time becoming familiar with its fundamentals.

Package: chado-utils
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libchado-perl
Recommends: xsltproc
Description: tools to add/extract data from Chado
 This package contains several tools that can be used to 
 extract data from Chado database or prepare data before upload.
 It is a subset above the Chado database schema and libraries.
 .
 Chado is a relational database schema that underlies many GMOD
 installations. It is capable of representing many of the general
 classes of data frequently encountered in modern biology such as
 sequence, sequence comparisons, phenotypes, genotypes, ontologies,
 publications, and phylogeny.
