=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 override_dh_install:
 	dh_install -O--buildsystem=perl_makemaker
+	rm -f debian/$(pkg)/usr/share/gmod/chado/load/etc/load.conf
 	sed -i 's/SQLFILE=\/.*\/$(pkg)/SQLFILE=/' debian/$(pkg)/usr/share/gmod/chado/conf/gmod-chado.conf
 	sed -i 's/TMP=\/.*\/tmp/CONF=\/tmp/' debian/$(pkg)/usr/share/gmod/chado/conf/gmod.conf
 	sed -i 's/CONF=.*\/conf/CONF=\/etc\/gmod/' debian/$(pkg)/usr/share/gmod/chado/conf/gmod.conf
@@ -51,3 +52,7 @@
 
 override_dh_auto_test:
 	echo "Skipping tests to avoid db access"
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod 600 debian/$(pkg)/etc/gmod/gmod-chado.conf
