=== debian/watch ===
version=3
http://sf.net/gmod/chado-([0-9.]+)\.tar\.gz
