## libchado-perl 1.31

=== debian/changelog ===
libchado-perl (1.31-6) unstable; urgency=medium

  [ Jelmer Vernooĳ <jelmer@debian.org> ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  [ Olivier Sallou <osallou@debian.org> ]
  * Fix postinstall script for case of USER env var not set (Closes: #939832)

 -- Olivier Sallou <osallou@debian.org>  Thu, 05 Dec 2019 08:35:16 +0000

libchado-perl (1.31-5) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix perl interpreter path
  * Do not parse d/changelog
  * Fix permissions
  * Do not include installation docs

 -- Andreas Tille <tille@debian.org>  Thu, 27 Sep 2018 20:49:54 +0200

libchado-perl (1.31-4) unstable; urgency=medium

  * Move packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)
  * There seems do be no evidence that the package does not build
    New source upload to check on autobuilders
    Closes: #854341

 -- Andreas Tille <tille@debian.org>  Thu, 14 Sep 2017 17:18:30 +0200

libchado-perl (1.31-3) unstable; urgency=medium

  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sat, 17 Dec 2016 21:34:53 +0100

libchado-perl (1.31-2) unstable; urgency=medium

  * Depends: libmodule-build-perl
    Closes: #821822
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 08:47:28 +0200

libchado-perl (1.31-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Tue, 12 Apr 2016 17:45:45 +0200

libchado-perl (1.23-5) unstable; urgency=medium

  * Enhanced patch from Niko Tyni really
    Closes: #802042

 -- Andreas Tille <tille@debian.org>  Sat, 12 Dec 2015 20:35:21 +0100

libchado-perl (1.23-4) unstable; urgency=medium

  * Enable reproducible builds (Thanks for the patch to Niko Tyni
    <ntyni@debian.org>)
    Closes: #802042
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 17 Oct 2015 13:21:08 +0200

libchado-perl (1.23-3) unstable; urgency=medium

  * Add libmodule-build-perl dependency (Closes: #789114).

 -- Olivier Sallou <osallou@debian.org>  Fri, 19 Jun 2015 11:08:05 +0200

libchado-perl (1.23-2) unstable; urgency=medium

  * cme fix dpkg-control
  * debhelper 9
  * debian/rules: Fix location of manpages
    Closes: #747569

 -- Andreas Tille <tille@debian.org>  Sun, 11 May 2014 00:14:09 +0200
