=== debian/watch ===
version=4
http://sf.net/gmod/chado-([0-9.]+)\.tar\.gz
